.alert-debug {
  background-color: #fff;
  border-color: #d6e9c6;
  color: #000; }

.alert-error {
  background-color: #f2dede;
  border-color: #eed3d7;
  color: #b94a48; }

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0-modified | 20110126
   License: none (public domain)
*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline; }

/* make sure to set some focus styles for accessibility */
:focus {
  outline: 0; }

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block; }

body {
  line-height: 1; }

ol, ul {
  list-style: none; }

blockquote, q {
  quotes: none; }

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none; }

table {
  border-collapse: collapse;
  border-spacing: 0; }

input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-decoration,
input[type=search]::-webkit-search-results-button,
input[type=search]::-webkit-search-results-decoration {
  -webkit-appearance: none;
  -moz-appearance: none; }

input[type=search] {
  -webkit-appearance: none;
  -moz-appearance: none;
  -webkit-box-sizing: content-box;
  box-sizing: content-box; }

textarea {
  overflow: auto;
  vertical-align: top;
  resize: vertical; }

/**
 * Correct `inline-block` display not defined in IE 6/7/8/9 and Firefox 3.
 */
audio,
canvas,
video {
  display: inline-block;
  *display: inline;
  *zoom: 1;
  max-width: 100%; }

/**
 * Prevent modern browsers from displaying `audio` without controls.
 * Remove excess height in iOS 5 devices.
 */
audio:not([controls]) {
  display: none;
  height: 0; }

/**
 * Address styling not present in IE 7/8/9, Firefox 3, and Safari 4.
 * Known issue: no IE 6 support.
 */
[hidden] {
  display: none; }

/**
 * 1. Correct text resizing oddly in IE 6/7 when body `font-size` is set using
 *    `em` units.
 * 2. Prevent iOS text size adjust after orientation change, without disabling
 *    user zoom.
 */
html {
  font-size: 100%;
  /* 1 */
  -webkit-text-size-adjust: 100%;
  /* 2 */
  -ms-text-size-adjust: 100%;
  /* 2 */ }

/**
 * Address `outline` inconsistency between Chrome and other browsers.
 */
a:focus {
  outline: thin dotted; }

/**
 * Improve readability when focused and also mouse hovered in all browsers.
 */
a:active,
a:hover {
  outline: 0; }

/**
 * 1. Remove border when inside `a` element in IE 6/7/8/9 and Firefox 3.
 * 2. Improve image quality when scaled in IE 7.
 */
img {
  border: 0;
  /* 1 */
  -ms-interpolation-mode: bicubic;
  /* 2 */ }

/**
 * Address margin not present in IE 6/7/8/9, Safari 5, and Opera 11.
 */
figure {
  margin: 0; }

/**
 * Correct margin displayed oddly in IE 6/7.
 */
form {
  margin: 0; }

/**
 * Define consistent border, margin, and padding.
 */
fieldset {
  border: 1px solid #c0c0c0;
  margin: 0 2px;
  padding: 0.35em 0.625em 0.75em; }

/**
 * 1. Correct color not being inherited in IE 6/7/8/9.
 * 2. Correct text not wrapping in Firefox 3.
 * 3. Correct alignment displayed oddly in IE 6/7.
 */
legend {
  border: 0;
  /* 1 */
  padding: 0;
  white-space: normal;
  /* 2 */
  *margin-left: -7px;
  /* 3 */ }

/**
 * 1. Correct font size not being inherited in all browsers.
 * 2. Address margins set differently in IE 6/7, Firefox 3+, Safari 5,
 *    and Chrome.
 * 3. Improve appearance and consistency in all browsers.
 */
button,
input,
select,
textarea {
  font-size: 100%;
  /* 1 */
  margin: 0;
  /* 2 */
  vertical-align: baseline;
  /* 3 */
  *vertical-align: middle;
  /* 3 */ }

/**
 * Address Firefox 3+ setting `line-height` on `input` using `!important` in
 * the UA stylesheet.
 */
button,
input {
  line-height: normal; }

/**
 * Address inconsistent `text-transform` inheritance for `button` and `select`.
 * All other form control elements do not inherit `text-transform` values.
 * Correct `button` style inheritance in Chrome, Safari 5+, and IE 6+.
 * Correct `select` style inheritance in Firefox 4+ and Opera.
 */
button,
select {
  text-transform: none; }

/**
 * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`
 *    and `video` controls.
 * 2. Correct inability to style clickable `input` types in iOS.
 * 3. Improve usability and consistency of cursor style between image-type
 *    `input` and others.
 * 4. Remove inner spacing in IE 7 without affecting normal text inputs.
 *    Known issue: inner spacing remains in IE 6.
 */
button,
html input[type="button"],
input[type="reset"],
input[type="submit"] {
  -webkit-appearance: button;
  /* 2 */
  cursor: pointer;
  /* 3 */
  *overflow: visible;
  /* 4 */ }

/**
 * Re-set default cursor for disabled elements.
 */
button[disabled],
html input[disabled] {
  cursor: default; }

/**
 * 1. Address box sizing set to content-box in IE 8/9.
 * 2. Remove excess padding in IE 8/9.
 * 3. Remove excess padding in IE 7.
 *    Known issue: excess padding remains in IE 6.
 */
input[type="checkbox"],
input[type="radio"] {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  /* 1 */
  padding: 0;
  /* 2 */
  *height: 13px;
  /* 3 */
  *width: 13px;
  /* 3 */ }

/**
 * 1. Address `appearance` set to `searchfield` in Safari 5 and Chrome.
 * 2. Address `box-sizing` set to `border-box` in Safari 5 and Chrome
 *    (include `-moz` to future-proof).
 */
input[type="search"] {
  -webkit-appearance: textfield;
  /* 1 */
  -webkit-box-sizing: content-box;
  /* 2 */
  box-sizing: content-box; }

/**
 * Remove inner padding and search cancel button in Safari 5 and Chrome
 * on OS X.
 */
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none; }

/**
 * Remove inner padding and border in Firefox 3+.
 */
button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0; }

/**
 * 1. Remove default vertical scrollbar in IE 6/7/8/9.
 * 2. Improve readability and alignment in all browsers.
 */
textarea {
  overflow: auto;
  /* 1 */
  vertical-align: top;
  /* 2 */ }

/**
 * Remove most spacing between table cells.
 */
table {
  border-collapse: collapse;
  border-spacing: 0; }

html,
button,
input,
select,
textarea {
  color: #222; }

::selection {
  background: #b3d4fc;
  text-shadow: none; }

img {
  vertical-align: middle; }

fieldset {
  border: 0;
  margin: 0;
  padding: 0; }

textarea {
  resize: vertical; }

.chromeframe {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0; }

*, *:before, *:after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box; }

/**
	* Base Styles
	*/
html,
body {
  height: 100%;
  overflow: scroll;
  -webkit-overflow-scrolling: touch;
  line-height: 1.6em; }

html {
  background-color: white;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  overflow-x: hidden;
  overflow-y: scroll;
  text-rendering: optimizeLegibility;
  -webkit-text-size-adjust: 100%;
     -moz-text-size-adjust: 100%;
      -ms-text-size-adjust: 100%;
          text-size-adjust: 100%;
  -webkit-box-sizing: border-box;
          box-sizing: border-box; }

body {
  overflow-x: hidden;
  background: -webkit-gradient(linear, left bottom, right top, from(#2164ac), color-stop(#2f8da8), to(#77e9ed));
  background: linear-gradient(to top right, #2164ac, #2f8da8, #77e9ed);
  background-size: cover; }

#app {
  position: relative;
  width: 100%; }

.container {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1em;
  padding-right: 1em;
  max-width: 1280px !important; }
  @media (max-width: 750px) {
    .container {
      padding: 0; } }

.wrapper {
  background: white;
  padding: 0em;
  margin-top: 54px; }
  @media (min-width: 750px) {
    .wrapper {
      margin-top: 0;
      margin-bottom: 3em;
      padding: 2em;
      padding-bottom: 1em;
      border-radius: 3px;
      -webkit-box-shadow: 0px 6px 12px 0 rgba(0, 0, 0, 0.2);
              box-shadow: 0px 6px 12px 0 rgba(0, 0, 0, 0.2); } }

.header {
  position: relative; }
  @media (max-width: 750px) {
    .header {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      z-index: 100;
      position: fixed;
      width: 100%;
      background: -webkit-gradient(linear, left bottom, right top, from(#2164ac), color-stop(#2f8da8), to(#77e9ed));
      background: linear-gradient(to top right, #2164ac, #2f8da8, #77e9ed);
      top: 0; } }

/**
	* Grid
	*/
.grid, .row {
  width: 100%; }

.row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex; }

.col {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1; }

/**
	* Typography
	*/
html {
  font-size: 16px; }

body {
  font-family: 'Open Sans', sans-serif;
  font-size: 1em; }

h1 {
  font-size: calc(1em + 3vw);
  font-weight: 300;
  color: white;
  text-align: center;
  padding: 0.75em 16px;
  padding: 0.75em 1rem;
  text-shadow: 0.015em 0.015em 0px rgba(0, 0, 0, 0.15); }
  @media (max-width: 750px) {
    h1 {
      font-size: 2em;
      padding: 10px 12px 12px;
      text-shadow: none; } }

a,
.link {
  color: #3897ff;
  -webkit-transition: 0.1s;
  transition: 0.1s;
  text-decoration: none; }
  a:visited,
  .link:visited {
    color: #3897ff; }
  a:hover, a:active,
  .link:hover,
  .link:active {
    color: #6bb2ff;
    -webkit-transition: 0.2s;
    transition: 0.2s;
    text-decoration: none; }

.link--danger {
  color: #f44a4a; }
  .link--danger:visited {
    color: #f44a4a; }
  .link--danger:hover, .link--danger:active {
    color: #f77a7a; }

small,
.small {
  font-size: 0.8em; }

/**
	* Modals
	*/
.modal__open {
  overflow: hidden; }

.modal {
  display: none;
  overflow: hidden;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  -webkit-overflow-scrolling: touch;
  outline: 0; }

.modal.fade .modal__dialog {
  -webkit-transform: translate(0, -25%);
  transform: translate(0, -25%);
  -webkit-transition: -webkit-transform 0.3s ease-out;
  transition: -webkit-transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
  transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out; }

.modal.in .modal__dialog {
  -webkit-transform: translate(0, 0);
  transform: translate(0, 0); }

.modal__open .modal {
  overflow-x: hidden;
  overflow-y: auto; }

.modal__dialog {
  position: relative;
  width: auto;
  margin: 10px; }

.modal__content {
  position: relative;
  background-color: #ffffff;
  border: 1px solid #999999;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 3px;
  -webkit-box-shadow: 0px 6px 12px 0 rgba(0, 0, 0, 0.2);
          box-shadow: 0px 6px 12px 0 rgba(0, 0, 0, 0.2);
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  outline: 0; }

.modal__backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: #000000; }

.modal__backdrop.fade {
  opacity: 0;
  filter: alpha(opacity=0); }

.modal__backdrop.in {
  opacity: 0.5;
  filter: alpha(opacity=50); }

.modal__header {
  padding: 15px;
  border-bottom: 1px solid #e5e5e5; }

.modal__header .close {
  margin-top: -2px; }

.modal__title {
  margin: 0;
  line-height: 1.42857143; }

.modal__body {
  position: relative;
  padding: 15px; }

.modal__footer {
  padding: 15px;
  text-align: right;
  border-top: 1px solid #e5e5e5; }

.modal__footer .btn + .btn {
  margin-left: 5px;
  margin-bottom: 0; }

.modal__footer .btn-group .btn + .btn {
  margin-left: -1px; }

.modal__footer .btn-block + .btn-block {
  margin-left: 0; }

.modal__scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll; }

@media (min-width: 768px) {
  .modal__dialog {
    width: 600px;
    margin: 30px auto; }
  .modal__content {
    -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5); }
  .modal__sm {
    width: 300px; } }

@media (min-width: 992px) {
  .modal__lg {
    width: 900px; } }

.clearfix:before,
.clearfix:after,
.modal__header:before,
.modal__header:after,
.modal__footer:before,
.modal__footer:after {
  content: " ";
  display: table; }

.clearfix:after,
.modal__header:after,
.modal__footer:after {
  clear: both; }

@media (max-width: 750px) {
  .modal__input {
    width: 100%; } }

@media (max-width: 750px) {
  .modal__dialog {
    margin: 0;
    height: 100%;
    left: -100vw; }
    #addContactModal .modal__dialog {
      left: 100vw; }
    #addContactModal.in .modal__dialog {
      left: 0;
      -webkit-transition: 0.2s;
      transition: 0.2s; }
    .in .modal__dialog {
      left: 0;
      -webkit-transition: 0.2s;
      transition: 0.2s; }
  .modal__content {
    border: none;
    -webkit-box-shadow: none;
            box-shadow: none;
    height: 100%;
    border-radius: 0; }
  .modal__header {
    padding: 19px 15px; }
  .modal__input {
    width: 100%; }
  .modal__body {
    background: #fafafa; } }

/**
	* Buttons
	*/
button,
.btn {
  display: inline-block;
  border: 1px solid #3897ff;
  padding: 8px 16px;
  text-decoration: none;
  background: #3897ff;
  color: #ffffff;
  font-size: 0.8em;
  line-height: 1;
  cursor: pointer;
  text-align: center;
  text-transform: uppercase;
  -webkit-transition: background 250ms ease-in-out, -webkit-transform 150ms ease;
  transition: background 250ms ease-in-out, -webkit-transform 150ms ease;
  transition: background 250ms ease-in-out, transform 150ms ease;
  transition: background 250ms ease-in-out, transform 150ms ease, -webkit-transform 150ms ease;
  -webkit-appearance: none;
  -moz-appearance: none; }
  @media (min-width: 750px) {
    button,
    .btn {
      -webkit-box-shadow: 0 2px 2px rgba(0, 0, 0, 0.12);
              box-shadow: 0 2px 2px rgba(0, 0, 0, 0.12); } }
  button + button,
  .btn + button, button +
  .btn,
  .btn +
  .btn {
    margin: 0 0 0 0.3em; }
  button:hover, button:focus,
  .btn:hover,
  .btn:focus {
    background: #057cff; }
  button:focus,
  .btn:focus {
    outline: 1px solid #fff;
    outline-offset: -4px; }
  button:active,
  .btn:active {
    -webkit-transform: scale(0.97);
            transform: scale(0.97); }
  button.btn--success,
  .btn.btn--success {
    background: #4bdf91;
    border: 1px solid #4bdf91; }
    button.btn--success:hover, button.btn--success:focus,
    .btn.btn--success:hover,
    .btn.btn--success:focus {
      background: #25d277; }
  button.btn--danger,
  .btn.btn--danger {
    background: #f44a4a;
    border: 1px solid #f44a4a; }
    button.btn--danger:hover, button.btn--danger:focus,
    .btn.btn--danger:hover,
    .btn.btn--danger:focus {
      background: #f11a1a; }
  button.btn--transparent,
  .btn.btn--transparent {
    background: transparent;
    border: 1px solid transparent; }
    button.btn--transparent:hover, button.btn--transparent:focus,
    .btn.btn--transparent:hover,
    .btn.btn--transparent:focus {
      background: transparent; }

/**
	* Form & Input Styles
	*/
input {
  padding: 6px 8px 7px;
  font-size: 0.8em;
  border: 1px solid #ddd;
  -webkit-appearance: none;
  border-radius: 0; }
  @media (max-width: 750px) {
    input {
      padding: 12px 9px 11px; } }

.input-group {
  margin: 0.2em 0 1em; }
  @media (min-width: 750px) {
    .input-group {
      display: inline-block; } }

@media (max-width: 750px) {
  label {
    display: block;
    font-size: 0.9em;
    font-weight: bold;
    margin-bottom: 0.2em; } }

.search-wrapper-mobile {
  position: absolute;
  height: 100%;
  width: 100%;
  background: white;
  top: 0;
  -webkit-transition: 0.2s;
  transition: 0.2s; }
  .search-wrapper-mobile.is-hidden {
    top: -5em;
    -webkit-transition: 0.15s;
    transition: 0.15s; }
  @media (min-width: 750px) {
    .search-wrapper-mobile {
      display: none; } }

.header__search {
  height: 100%;
  width: 100%; }

.header__search-close {
  position: absolute;
  right: 0;
  top: 0;
  padding-top: 20px;
  padding-right: 20px;
  height: 100%;
  color: #3897ff; }

/**
	* Contact Object
	*/
@media (max-width: 750px) {
  .actions {
    width: 25%;
    text-align: right; } }

.id {
  text-align: center; }
  @media (max-width: 750px) {
    .id {
      text-align: right;
      color: #aaa; } }

@media (min-width: 750px) {
  .name, .email {
    width: 25%; } }

.name {
  min-width: 80px; }

.contact__item,
.contact-headers__item {
  width: 25%;
  -ms-flex-item-align: center;
      align-self: center; }

.contact {
  position: relative;
  background: white;
  padding: 0.7em;
  border-bottom: 1px solid #eee;
  -webkit-box-shadow: 0 0 0 transparent;
          box-shadow: 0 0 0 transparent;
  -webkit-transform: scale(1);
          transform: scale(1);
  -webkit-transition: 0.1s;
  transition: 0.1s; }
  @media (max-width: 750px) {
    .contact {
      padding: 0; } }
  @media (min-width: 750px) {
    .contact:hover {
      -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.15), 0 -1px 1px rgba(0, 0, 0, 0.1);
              box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.15), 0 -1px 1px rgba(0, 0, 0, 0.1);
      -webkit-transform: scale(1.02);
              transform: scale(1.02);
      z-index: 2;
      -webkit-transition: 0.25s;
      transition: 0.25s; } }

.contact-headers {
  padding: 1em 0.7em 0.5em;
  border-bottom: 1px solid #dedede;
  font-weight: 700; }
  @media (max-width: 750px) {
    .contact-headers {
      display: none; } }

.search-wrapper {
  text-align: right; }

.name-email {
  width: 85%;
  padding: 15px 12px; }
  @media (min-width: 750px) {
    .name-email {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      padding: 0; } }

@media (max-width: 750px) {
  .edit {
    display: none; } }

@media (max-width: 750px) {
  .email {
    font-size: 0.8em;
    margin-top: 0.2em;
    color: #3897ff; } }

@media (max-width: 750px) {
  .delete {
    font-weight: bold;
    padding: 24px 12px; } }

/**
	* Utility & Helper Classes
	*/
@media (max-width: 450px) {
  .hidden-sm {
    display: none; } }

@media (max-width: 750px) {
  .hidden-md {
    display: none; } }

@media (min-width: 750px) {
  .visible-lg {
    display: block; } }

.hidden-lg {
  display: block; }
  @media (min-width: 750px) {
    .hidden-lg {
      display: none; } }
